# HG changeset patch
# Node ID e602ef47ebd2
# Parent  df47db24cee6
diff --git a/libpurple/protocols/gg/avatar.c b/libpurple/protocols/gg/avatar.c
--- a/libpurple/protocols/gg/avatar.c
+++ b/libpurple/protocols/gg/avatar.c
@@ -321,8 +321,8 @@
 }
 
 void
-ggp_avatar_own_set(PurpleProtocolServer *protocol_server, PurpleConnection *gc,
-                   PurpleImage *img)
+ggp_avatar_own_set(G_GNUC_UNUSED PurpleProtocolServer *protocol_server,
+                   PurpleConnection *gc, PurpleImage *img)
 {
 	ggp_avatar_session_data *avdata;
 
diff --git a/libpurple/protocols/gg/chat.c b/libpurple/protocols/gg/chat.c
--- a/libpurple/protocols/gg/chat.c
+++ b/libpurple/protocols/gg/chat.c
@@ -300,7 +300,9 @@
 }
 
 GList *
-ggp_chat_info(PurpleProtocolChat *protocol_chat, PurpleConnection *gc) {
+ggp_chat_info(G_GNUC_UNUSED PurpleProtocolChat *protocol_chat,
+              G_GNUC_UNUSED PurpleConnection *gc)
+{
 	GList *m = NULL;
 	PurpleProtocolChatEntry *pce;
 
@@ -314,7 +316,8 @@
 }
 
 GHashTable *
-ggp_chat_info_defaults(PurpleProtocolChat *protocol_chat, PurpleConnection *gc,
+ggp_chat_info_defaults(G_GNUC_UNUSED PurpleProtocolChat *protocol_chat,
+                       G_GNUC_UNUSED PurpleConnection *gc,
                        const gchar *chat_name)
 {
 	GHashTable *defaults;
@@ -328,7 +331,9 @@
 }
 
 gchar *
-ggp_chat_get_name(PurpleProtocolChat *protocol_chat, GHashTable *components) {
+ggp_chat_get_name(G_GNUC_UNUSED PurpleProtocolChat *protocol_chat,
+                  GHashTable *components)
+{
 	return g_strdup((gchar*)g_hash_table_lookup(components, "id"));
 }
 
@@ -356,8 +361,8 @@
 }
 
 void
-ggp_chat_join(PurpleProtocolChat *protocol_chat, PurpleConnection *gc,
-              GHashTable *components)
+ggp_chat_join(G_GNUC_UNUSED PurpleProtocolChat *protocol_chat,
+              PurpleConnection *gc, GHashTable *components)
 {
 	ggp_chat_session_data *sdata = ggp_chat_get_sdata(gc);
 	GGPInfo *info = purple_connection_get_protocol_data(gc);
@@ -435,8 +440,8 @@
 }
 
 void
-ggp_chat_leave(PurpleProtocolChat *protocol_chat, PurpleConnection *gc,
-               gint local_id)
+ggp_chat_leave(G_GNUC_UNUSED PurpleProtocolChat *protocol_chat,
+               PurpleConnection *gc, gint local_id)
 {
 	PurpleAccount *account = NULL;
 	PurpleContactInfo *contact_info = NULL;
@@ -467,8 +472,9 @@
 }
 
 void
-ggp_chat_invite(PurpleProtocolChat *protocol_chat, PurpleConnection *gc,
-                gint local_id, const gchar *message, const gchar *who)
+ggp_chat_invite(G_GNUC_UNUSED PurpleProtocolChat *protocol_chat,
+                PurpleConnection *gc, gint local_id,
+                G_GNUC_UNUSED const gchar *message, const gchar *who)
 {
 	GGPInfo *info = purple_connection_get_protocol_data(gc);
 	ggp_chat_local_info *chat;
@@ -490,7 +496,8 @@
 }
 
 gint
-ggp_chat_send(PurpleProtocolChat *protocol_chat, PurpleConnection *gc,
+ggp_chat_send(G_GNUC_UNUSED PurpleProtocolChat *protocol_chat,
+              PurpleConnection *gc,
               gint local_id, PurpleMessage *msg)
 {
 	PurpleAccount *account = NULL;
@@ -586,7 +593,7 @@
 }
 
 PurpleRoomlist *
-ggp_chat_roomlist_get_list(PurpleProtocolRoomlist *protocol_roomlist,
+ggp_chat_roomlist_get_list(G_GNUC_UNUSED PurpleProtocolRoomlist *protocol_roomlist,
                            PurpleConnection *gc)
 {
 	ggp_chat_session_data *sdata = ggp_chat_get_sdata(gc);
diff --git a/libpurple/protocols/gg/edisc.c b/libpurple/protocols/gg/edisc.c
--- a/libpurple/protocols/gg/edisc.c
+++ b/libpurple/protocols/gg/edisc.c
@@ -416,8 +416,8 @@
 }
 
 static void
-ggp_edisc_xfer_send_ticket_changed(PurpleConnection *gc, PurpleXfer *xfer,
-                                   gboolean is_allowed)
+ggp_edisc_xfer_send_ticket_changed(G_GNUC_UNUSED PurpleConnection *gc,
+                                   PurpleXfer *xfer, gboolean is_allowed)
 {
 	GGPXfer *edisc_xfer = GGP_XFER(xfer);
 	if (!edisc_xfer) {
@@ -453,7 +453,7 @@
  ******************************************************************************/
 
 gboolean
-ggp_edisc_xfer_can_receive_file(PurpleProtocolXfer *prplxfer,
+ggp_edisc_xfer_can_receive_file(G_GNUC_UNUSED PurpleProtocolXfer *prplxfer,
                                 PurpleConnection *gc, const char *who)
 {
 	PurpleBuddy *buddy;
@@ -805,7 +805,9 @@
 #endif
 }
 
-PurpleXfer * ggp_edisc_xfer_send_new(PurpleProtocolXfer *prplxfer, PurpleConnection *gc, const char *who)
+PurpleXfer *
+ggp_edisc_xfer_send_new(G_GNUC_UNUSED PurpleProtocolXfer *prplxfer,
+                        PurpleConnection *gc, const char *who)
 {
 	GGPXfer *xfer;
 
@@ -1063,7 +1065,7 @@
 	poll = g_pollable_input_stream_create_source(G_POLLABLE_INPUT_STREAM(input),
 	                                             edisc_xfer->cancellable);
 	g_source_set_callback(poll,
-	                      (GSourceFunc)ggp_edisc_xfer_recv_pollable_source_cb,
+	                      (GSourceFunc)(gpointer)ggp_edisc_xfer_recv_pollable_source_cb,
 	                      xfer, NULL);
 	edisc_xfer->handler = g_source_attach(poll, NULL);
 	g_source_unref(poll);
@@ -1479,8 +1481,7 @@
 }
 
 static void
-ggp_xfer_class_finalize(GGPXferClass *klass) {
-
+ggp_xfer_class_finalize(G_GNUC_UNUSED GGPXferClass *klass) {
 }
 
 static void
diff --git a/libpurple/protocols/gg/gg.c b/libpurple/protocols/gg/gg.c
--- a/libpurple/protocols/gg/gg.c
+++ b/libpurple/protocols/gg/gg.c
@@ -71,7 +71,7 @@
 }
 
 static void
-ggp_buddy_free(PurpleProtocolClient *client, PurpleBuddy *buddy)
+ggp_buddy_free(G_GNUC_UNUSED PurpleProtocolClient *client, PurpleBuddy *buddy)
 {
 	ggp_buddy_data *buddy_data = purple_buddy_get_protocol_data(buddy);
 
@@ -282,7 +282,8 @@
  * @see http://toxygen.net/libgadu/protocol/#ch1.13
  * @todo: this may not be necessary anymore
  */
-static void ggp_xml_event_handler(PurpleConnection *gc, char *data)
+static void
+ggp_xml_event_handler(G_GNUC_UNUSED PurpleConnection *gc, char *data)
 {
 	PurpleXmlNode *xml = NULL;
 	PurpleXmlNode *xmlnode_next_event;
@@ -343,7 +344,9 @@
 			purple_xmlnode_free(xml);
 }
 
-static void ggp_callback_recv(gpointer _gc, gint fd, PurpleInputCondition cond)
+static void
+ggp_callback_recv(gpointer _gc, G_GNUC_UNUSED gint fd,
+                  G_GNUC_UNUSED PurpleInputCondition cond)
 {
 	PurpleConnection *gc = _gc;
 	GGPInfo *info = purple_connection_get_protocol_data(gc);
@@ -447,7 +450,9 @@
 	gg_free_event(ev);
 }
 
-void ggp_async_login_handler(gpointer _gc, gint fd, PurpleInputCondition cond)
+void
+ggp_async_login_handler(gpointer _gc, G_GNUC_UNUSED gint fd,
+                        G_GNUC_UNUSED PurpleInputCondition cond)
 {
 	PurpleConnection *gc = _gc;
 	GGPInfo *info;
@@ -642,7 +647,7 @@
 
 static gboolean
 gg_uri_handler(const gchar *scheme, const gchar *screenname,
-		GHashTable *params)
+               G_GNUC_UNUSED GHashTable *params)
 {
 	PurpleAccountManager *manager = NULL;
 	PurpleAccount *account;
@@ -680,7 +685,7 @@
 /* ---------------------------------------------------------------------- */
 
 static PurpleBuddyIconSpec *
-ggp_protocol_get_buddy_icon_spec(PurpleProtocol *protocol) {
+ggp_protocol_get_buddy_icon_spec(G_GNUC_UNUSED PurpleProtocol *protocol) {
 	return purple_buddy_icon_spec_new("png",
 	                                  1, 1, 200, 200, 0,
 	                                  PURPLE_ICON_SCALE_DISPLAY |
@@ -688,7 +693,7 @@
 }
 
 static GList *
-ggp_protocol_get_account_options(PurpleProtocol *protocol) {
+ggp_protocol_get_account_options(G_GNUC_UNUSED PurpleProtocol *protocol) {
 	PurpleAccountOption *option = NULL;
 	PurpleKeyValuePair *kvp = NULL;
 	GList *encryption_options = NULL;
@@ -736,8 +741,8 @@
 }
 
 static const char *
-ggp_normalize(PurpleProtocolClient *client, PurpleAccount *account,
-              const char *who)
+ggp_normalize(G_GNUC_UNUSED PurpleProtocolClient *client,
+              G_GNUC_UNUSED PurpleAccount *account, const char *who)
 {
 	static char normalized[21]; /* maximum unsigned long long int size */
 
@@ -756,8 +761,9 @@
  * - add information about not adding to his buddy list (not_a_friend)
  */
 static void
-ggp_tooltip_text(PurpleProtocolClient *client, PurpleBuddy *b,
-                 PurpleNotifyUserInfo *user_info, gboolean full)
+ggp_tooltip_text(G_GNUC_UNUSED PurpleProtocolClient *client, PurpleBuddy *b,
+                 PurpleNotifyUserInfo *user_info,
+                 G_GNUC_UNUSED gboolean full)
 {
 	PurpleStatus *status;
 	char *tmp;
@@ -957,7 +963,9 @@
 	purple_debug_info("gg", "Connection closed.\n");
 }
 
-static unsigned int ggp_send_typing(PurpleProtocolIM *im, PurpleConnection *gc, const char *name, PurpleIMTypingState state)
+static unsigned int
+ggp_send_typing(G_GNUC_UNUSED PurpleProtocolIM *im, PurpleConnection *gc,
+                const char *name, PurpleIMTypingState state)
 {
 	GGPInfo *info = purple_connection_get_protocol_data(gc);
 	int dummy_length; /* we don't send real length of typed message */
@@ -1009,7 +1017,9 @@
 }
 
 static void
-ggp_keepalive(PurpleProtocolServer *protocol_server, PurpleConnection *gc) {
+ggp_keepalive(G_GNUC_UNUSED PurpleProtocolServer *protocol_server,
+              PurpleConnection *gc)
+{
 	GGPInfo *info = purple_connection_get_protocol_data(gc);
 
 	/* purple_debug_info("gg", "Keeping connection alive....\n"); */
@@ -1116,12 +1126,12 @@
 }
 
 static const gchar *
-ggp_protocol_actions_get_prefix(PurpleProtocolActions *actions) {
+ggp_protocol_actions_get_prefix(G_GNUC_UNUSED PurpleProtocolActions *actions) {
 	return "prpl-gg";
 }
 
 static GActionGroup *
-ggp_protocol_actions_get_action_group(PurpleProtocolActions *actions,
+ggp_protocol_actions_get_action_group(G_GNUC_UNUSED PurpleProtocolActions *actions,
                                       G_GNUC_UNUSED PurpleConnection *connection)
 {
 	GSimpleActionGroup *group = NULL;
@@ -1221,7 +1231,9 @@
 }
 
 static const char *
-ggp_list_emblem(PurpleProtocolClient *client, PurpleBuddy *buddy) {
+ggp_list_emblem(G_GNUC_UNUSED PurpleProtocolClient *client,
+                PurpleBuddy *buddy)
+{
 	ggp_buddy_data *buddy_data = ggp_buddy_get_data(buddy);
 
 	if (buddy_data->blocked)
@@ -1233,13 +1245,15 @@
 }
 
 static gboolean
-ggp_offline_message(PurpleProtocolClient *client, PurpleBuddy *buddy) {
+ggp_offline_message(G_GNUC_UNUSED PurpleProtocolClient *client,
+                    G_GNUC_UNUSED PurpleBuddy *buddy)
+{
 	return TRUE;
 }
 
 static GHashTable *
-ggp_get_account_text_table(PurpleProtocolClient *client,
-                           PurpleAccount *account)
+ggp_get_account_text_table(G_GNUC_UNUSED PurpleProtocolClient *client,
+                           G_GNUC_UNUSED PurpleAccount *account)
 {
 	GHashTable *table;
 	table = g_hash_table_new(g_str_hash, g_str_equal);
@@ -1248,16 +1262,15 @@
 }
 
 static gssize
-ggp_get_max_message_size(PurpleProtocolClient *client,
-                         PurpleConversation *conv)
+ggp_get_max_message_size(G_GNUC_UNUSED PurpleProtocolClient *client,
+                         G_GNUC_UNUSED PurpleConversation *conv)
 {
 	/* TODO: it may depend on protocol version or other factors */
 	return 1200; /* no more than 1232 */
 }
 
 static void
-ggp_protocol_init(GGPProtocol *self)
-{
+ggp_protocol_init(G_GNUC_UNUSED GGPProtocol *self) {
 }
 
 static void
@@ -1381,7 +1394,7 @@
 }
 
 static GPluginPluginInfo *
-gg_query(GError **error)
+gg_query(G_GNUC_UNUSED GError **error)
 {
 	GPluginPluginInfo *info = NULL;
 	gchar *description = NULL;
@@ -1447,7 +1460,8 @@
 }
 
 static gboolean
-gg_unload(GPluginPlugin *plugin, gboolean shutdown, GError **error)
+gg_unload(GPluginPlugin *plugin, G_GNUC_UNUSED gboolean shutdown,
+          GError **error)
 {
 	PurpleProtocolManager *manager = purple_protocol_manager_get_default();
 
diff --git a/libpurple/protocols/gg/libgaduw.c b/libpurple/protocols/gg/libgaduw.c
--- a/libpurple/protocols/gg/libgaduw.c
+++ b/libpurple/protocols/gg/libgaduw.c
@@ -146,16 +146,18 @@
 	return req;
 }
 
-static void ggp_libgaduw_http_processing_cancel(PurpleConnection *gc,
-	void *_req)
+static void
+ggp_libgaduw_http_processing_cancel(G_GNUC_UNUSED PurpleConnection *gc,
+                                    void *_req)
 {
 	ggp_libgaduw_http_req *req = _req;
 	req->processing = NULL;
 	ggp_libgaduw_http_cancel(req);
 }
 
-static void ggp_libgaduw_http_handler(gpointer _req, gint fd,
-	PurpleInputCondition cond)
+static void
+ggp_libgaduw_http_handler(gpointer _req, G_GNUC_UNUSED gint fd,
+                          G_GNUC_UNUSED PurpleInputCondition cond)
 {
 	ggp_libgaduw_http_req *req = _req;
 
diff --git a/libpurple/protocols/gg/message-prpl.c b/libpurple/protocols/gg/message-prpl.c
--- a/libpurple/protocols/gg/message-prpl.c
+++ b/libpurple/protocols/gg/message-prpl.c
@@ -652,8 +652,9 @@
 	return text_new;
 }
 
-int ggp_message_send_im(PurpleProtocolIM *pim, PurpleConnection *gc,
-                        PurpleMessage *msg)
+int
+ggp_message_send_im(G_GNUC_UNUSED PurpleProtocolIM *pim,
+                    PurpleConnection *gc, PurpleMessage *msg)
 {
 	GGPInfo *info = purple_connection_get_protocol_data(gc);
 	PurpleConversation *im;
diff --git a/libpurple/protocols/gg/oauth/oauth-purple.c b/libpurple/protocols/gg/oauth/oauth-purple.c
--- a/libpurple/protocols/gg/oauth/oauth-purple.c
+++ b/libpurple/protocols/gg/oauth/oauth-purple.c
@@ -133,7 +133,8 @@
 }
 
 static void
-ggp_oauth_authorization_done(GObject *source, GAsyncResult *result,
+ggp_oauth_authorization_done(GObject *source,
+                             G_GNUC_UNUSED GAsyncResult *result,
                              gpointer user_data)
 {
 	ggp_oauth_data *data = user_data;
diff --git a/libpurple/protocols/gg/pubdir-prpl.c b/libpurple/protocols/gg/pubdir-prpl.c
--- a/libpurple/protocols/gg/pubdir-prpl.c
+++ b/libpurple/protocols/gg/pubdir-prpl.c
@@ -332,9 +332,10 @@
 	g_free(url);
 }
 
-static void ggp_pubdir_get_info_protocol_got(PurpleConnection *gc,
-	int records_count, const ggp_pubdir_record *records, int next_offset,
-	void *_uin_p)
+static void
+ggp_pubdir_get_info_protocol_got(PurpleConnection *gc, int records_count,
+                                 const ggp_pubdir_record *records,
+                                 G_GNUC_UNUSED int next_offset, void *_uin_p)
 {
 	uin_t uin = *((uin_t*)_uin_p);
 	PurpleNotifyUserInfo *info = purple_notify_user_info_new();
@@ -420,7 +421,7 @@
 }
 
 void
-ggp_pubdir_get_info_protocol(PurpleProtocolServer *protocol_server,
+ggp_pubdir_get_info_protocol(G_GNUC_UNUSED PurpleProtocolServer *protocol_server,
                              PurpleConnection *gc, const gchar *name)
 {
 	uin_t uin = ggp_str_to_uin(name);
@@ -433,9 +434,11 @@
 	ggp_pubdir_get_info(gc, uin, ggp_pubdir_get_info_protocol_got, uin_p);
 }
 
-static void ggp_pubdir_request_buddy_alias_got(PurpleConnection *gc,
-	int records_count, const ggp_pubdir_record *records, int next_offset,
-	void *user_data)
+static void
+ggp_pubdir_request_buddy_alias_got(PurpleConnection *gc, int records_count,
+                                   const ggp_pubdir_record *records,
+                                   G_GNUC_UNUSED int next_offset,
+                                   G_GNUC_UNUSED gpointer data)
 {
 	uin_t uin;
 	const gchar *alias;
@@ -585,7 +588,8 @@
 }
 
 static void
-ggp_pubdir_search_results_new(PurpleConnection *gc, GList *row, gpointer _form)
+ggp_pubdir_search_results_new(PurpleConnection *gc, G_GNUC_UNUSED GList *row,
+                              gpointer _form)
 {
 	ggp_pubdir_search_form *form = _form;
 	ggp_pubdir_search(gc, form);
@@ -599,7 +603,8 @@
 }
 
 static void
-ggp_pubdir_search_results_next(PurpleConnection *gc, GList *row, gpointer _form)
+ggp_pubdir_search_results_next(PurpleConnection *gc, G_GNUC_UNUSED GList *row,
+                               gpointer _form)
 {
 	ggp_pubdir_search_form *form = _form;
 	ggp_pubdir_search_execute(gc, form, ggp_pubdir_search_results_display,
@@ -607,7 +612,8 @@
 }
 
 static void
-ggp_pubdir_search_results_add(PurpleConnection *gc, GList *row, gpointer _form)
+ggp_pubdir_search_results_add(PurpleConnection *gc, GList *row,
+                              G_GNUC_UNUSED gpointer form)
 {
 	purple_blist_request_add_buddy(purple_connection_get_account(gc),
 	                               g_list_nth_data(row, 0), NULL,
@@ -615,14 +621,16 @@
 }
 
 static void
-ggp_pubdir_search_results_im(PurpleConnection *gc, GList *row, gpointer _form)
+ggp_pubdir_search_results_im(PurpleConnection *gc, GList *row,
+                             G_GNUC_UNUSED gpointer form)
 {
 	purple_conversation_present(PURPLE_CONVERSATION(purple_im_conversation_new(
 	        purple_connection_get_account(gc), g_list_nth_data(row, 0))));
 }
 
 static void
-ggp_pubdir_search_results_info(PurpleConnection *gc, GList *row, gpointer _form)
+ggp_pubdir_search_results_info(PurpleConnection *gc, GList *row,
+                               G_GNUC_UNUSED gpointer form)
 {
 	ggp_pubdir_get_info_protocol(NULL, gc, g_list_nth_data(row, 0));
 }
@@ -922,8 +930,9 @@
 
 static void
 ggp_pubdir_set_info_dialog(PurpleConnection *gc, int records_count,
-                           const ggp_pubdir_record *records, int next_offset,
-                           void *user_data)
+                           const ggp_pubdir_record *records,
+                           G_GNUC_UNUSED int next_offset,
+                           G_GNUC_UNUSED gpointer data)
 {
 	PurpleRequestFields *fields;
 	PurpleRequestFieldGroup *group;
diff --git a/libpurple/protocols/gg/purplew.c b/libpurple/protocols/gg/purplew.c
--- a/libpurple/protocols/gg/purplew.c
+++ b/libpurple/protocols/gg/purplew.c
@@ -46,8 +46,9 @@
 		func, user_data);
 }
 
-static void ggp_purplew_request_processing_cancel(
-	ggp_purplew_request_processing_handle *handle, gint id)
+static void
+ggp_purplew_request_processing_cancel(ggp_purplew_request_processing_handle *handle,
+                                      G_GNUC_UNUSED gint id)
 {
 	handle->cancel_cb(handle->gc, handle->user_data);
 	g_free(handle);
diff --git a/libpurple/protocols/gg/roster.c b/libpurple/protocols/gg/roster.c
--- a/libpurple/protocols/gg/roster.c
+++ b/libpurple/protocols/gg/roster.c
@@ -342,7 +342,7 @@
  ******************************************************************************/
 
 void
-ggp_roster_alias_buddy(PurpleProtocolServer *protocol_server,
+ggp_roster_alias_buddy(G_GNUC_UNUSED PurpleProtocolServer *protocol_server,
                        PurpleConnection *gc, const gchar *who,
                        const gchar *alias)
 {
@@ -363,7 +363,7 @@
 }
 
 void
-ggp_roster_group_buddy(PurpleProtocolServer *protocol_server,
+ggp_roster_group_buddy(G_GNUC_UNUSED PurpleProtocolServer *protocol_server,
                        PurpleConnection *gc, const gchar *who,
                        const gchar *old_group, const gchar *new_group)
 {
@@ -387,9 +387,9 @@
 }
 
 void
-ggp_roster_rename_group(PurpleProtocolServer *protocol_server,
+ggp_roster_rename_group(G_GNUC_UNUSED PurpleProtocolServer *protocol_server,
                         PurpleConnection *gc, const gchar *old_name,
-                        PurpleGroup *group, GList *moved_buddies)
+                        PurpleGroup *group, G_GNUC_UNUSED GList *moved_buddies)
 {
 	ggp_roster_session_data *rdata = ggp_roster_get_rdata(gc);
 	ggp_roster_change *change;
@@ -406,9 +406,10 @@
 }
 
 void
-ggp_roster_add_buddy(PurpleProtocolServer *protocol_server,
+ggp_roster_add_buddy(G_GNUC_UNUSED PurpleProtocolServer *protocol_server,
                      PurpleConnection *gc, PurpleBuddy *buddy,
-                     PurpleGroup *group, const gchar *message)
+                     G_GNUC_UNUSED PurpleGroup *group,
+                     G_GNUC_UNUSED const gchar *message)
 {
 	g_return_if_fail(gc != NULL);
 	g_return_if_fail(buddy != NULL);
@@ -420,9 +421,9 @@
 }
 
 void
-ggp_roster_remove_buddy(PurpleProtocolServer *protocol_server,
+ggp_roster_remove_buddy(G_GNUC_UNUSED PurpleProtocolServer *protocol_server,
                         PurpleConnection *gc, PurpleBuddy *buddy,
-                        PurpleGroup *group)
+                        G_GNUC_UNUSED PurpleGroup *group)
 {
 	ggp_roster_session_data *rdata = ggp_roster_get_rdata(gc);
 	ggp_roster_change *change;
diff --git a/libpurple/protocols/gg/status.c b/libpurple/protocols/gg/status.c
--- a/libpurple/protocols/gg/status.c
+++ b/libpurple/protocols/gg/status.c
@@ -83,7 +83,7 @@
 
 GList *
 ggp_status_types(G_GNUC_UNUSED PurpleProtocol *protocol,
-                 PurpleAccount *account)
+                 G_GNUC_UNUSED PurpleAccount *account)
 {
 	GList *types = NULL;
 
@@ -252,7 +252,7 @@
 }
 
 void
-ggp_status_set_purplestatus(PurpleProtocolServer *protocol_server,
+ggp_status_set_purplestatus(G_GNUC_UNUSED PurpleProtocolServer *protocol_server,
                             PurpleAccount *account, PurpleStatus *status)
 {
 	int status_gg;
@@ -453,7 +453,9 @@
 }
 
 char *
-ggp_status_buddy_text(PurpleProtocolClient *client, PurpleBuddy *buddy) {
+ggp_status_buddy_text(G_GNUC_UNUSED PurpleProtocolClient *client,
+                      PurpleBuddy *buddy)
+{
 	ggp_buddy_data *buddy_data = ggp_buddy_get_data(buddy);
 	const gchar *purple_message;
 
diff --git a/libpurple/protocols/gg/tcpsocket.c b/libpurple/protocols/gg/tcpsocket.c
--- a/libpurple/protocols/gg/tcpsocket.c
+++ b/libpurple/protocols/gg/tcpsocket.c
@@ -171,15 +171,15 @@
 }
 
 static void
-ggp_tcpsocket_close(void *_gc, void *_data)
-{
+ggp_tcpsocket_close(G_GNUC_UNUSED void *_gc, void *_data) {
 	GGPTcpSocketData *data = _data;
 
 	ggp_tcp_socket_data_free(data);
 }
 
 static ssize_t
-ggp_tcpsocket_read(void *_gc, void *_data, unsigned char *buffer, size_t bufsize)
+ggp_tcpsocket_read(G_GNUC_UNUSED void *_gc, void *_data,
+                   unsigned char *buffer, size_t bufsize)
 {
 	GGPTcpSocketData *data = _data;
 	GPollableInputStream *input;
@@ -211,7 +211,8 @@
 }
 
 static ssize_t
-ggp_tcpsocket_write(void *_gc, void *_data, const unsigned char *data_buf, size_t len)
+ggp_tcpsocket_write(G_GNUC_UNUSED void *_gc, void *_data,
+                    const unsigned char *data_buf, size_t len)
 {
 	GGPTcpSocketData *data = _data;
 	GPollableOutputStream *output;
diff --git a/libpurple/protocols/gg/validator.c b/libpurple/protocols/gg/validator.c
--- a/libpurple/protocols/gg/validator.c
+++ b/libpurple/protocols/gg/validator.c
@@ -33,8 +33,9 @@
 
 #include <glib/gi18n-lib.h>
 
-gboolean ggp_validator_password(PurpleRequestField *field, gchar **errmsg,
-	void *user_data)
+gboolean
+ggp_validator_password(PurpleRequestField *field, gchar **errmsg,
+                       G_GNUC_UNUSED gpointer data)
 {
 	const char *value;
 
